OpenTTD Source: BitmapTileIterator Class Reference

OpenTTD Source 1.11.0-RC1

Public Member Functions | Protected Attributes
BitmapTileIterator Class Reference

Iterator to iterate over all tiles belonging to a bitmaptilearea. More...

`#include <bitmap_type.h>`

Inheritance diagram for BitmapTileIterator:

## Public Member Functions
| BitmapTileIterator (const BitmapTileArea &bitmap)
| Construct the iterator. More...
TileIterator & | operator++ ()
| Move ourselves to the next tile in the rectangle on the map.
virtual TileIterator * | Clone () const
| Allocate a new iterator that is a copy of this one.
Public Member Functions inherited from OrthogonalTileIterator
| OrthogonalTileIterator (const OrthogonalTileArea &ta)
| Construct the iterator. More...
| OrthogonalTileIterator (TileIndex corner1, TileIndex corner2)
| Construct the iterator. More...
TileIterator & | operator++ ()
| Move ourselves to the next tile in the rectangle on the map.
Public Member Functions inherited from TileIterator
virtual | ~TileIterator ()
| Some compilers really like this.
| operator TileIndex () const
| Get the tile we are currently at. More...

## Protected Attributes
const BitmapTileArea * | bitmap
Protected Attributes inherited from TileIterator
TileIndex | tile
| The current tile we are at.

## Additional Inherited Members
Protected Member Functions inherited from TileIterator
| TileIterator (TileIndex tile=INVALID_TILE)
| Initialise the iterator starting at this tile. More...

## Detailed Description

Iterator to iterate over all tiles belonging to a bitmaptilearea.

Definition at line 107 of file bitmap_type.h.

## Constructor & Destructor Documentation

## ◆ BitmapTileIterator()

BitmapTileIterator::BitmapTileIterator | ( | const BitmapTileArea & | bitmap | ) |
| inline

Construct the iterator.

Parameters

  bitmap | BitmapTileArea to iterate.

Definition at line 115 of file bitmap_type.h.

References BitmapTileArea::HasTile().

Referenced by Clone().

The documentation for this class was generated from the following file:

- src/bitmap_type.h